<?php

/**
 * 设备的分享码
 */
class ACDeviceShareCode {

    /**
     * 构造函数
     * @param $code string 分享码。
     * @param $expireAtUTC string 分享码的过期时间（UTC）。
     */
    function __construct($code, $expireAtUTC) {
        $this->code = $code;
        $this->expreAtUTC = $expireAtUTC;
    }

    /**
     * 取分享码。
     * @return string 分享码。
     */
    public function getCode() {
        return $this->code;
    }

    /**
     * 取分享码的过期时间。
     * @return string 分享码的过期时间（UTC）。
     */
    public function getExpirationTimeInUTC() {
        return $this->expreAtUTC;
    }

    private $code;
    private $expreAtUTC;
}